Debian Bug report logs - #557183
aptitude: insists on installing gawk when other awks are present

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 20 Nov 2009 05:33:01 UTC

Severity: normal

Found in version aptitude/0.6.0.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#557183; Package aptitude. (Fri, 20 Nov 2009 05:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 20 Nov 2009 05:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: insists on installing gawk when other awks are present
Date: Fri, 20 Nov 2009 05:27:17 +0000
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.6.0.1-1
Severity: normal

On my system, I have mawk and original-awk installed, whereas gawk is
not.  The only package that depends on any awk whatsoever is base-files,
which has a pre-dependency.  This pre-dependency is satisfied by both
mawk and original-awk.  However, aptitude seems to want to install gawk
to satisfy this dependency and insists on trying to do so every time I
mark packages for upgrade.

Obviously, since the sole dependency (including recommends and suggests)
is satisfied, there is no reason for aptitude to attempt to install
gawk.  This is irksome because I really do not want gawk installed.

I think aptitude should not try to install gawk if the dependency is
already satisfied (and will remain so).

-- Package-specific info:
aptitude 0.6.0.1 compiled at Oct 25 2009 23:00:16
Compiler: g++ 4.3.4
Compiled against:
  apt version 4.8.1
  NCurses version 5.7
  libsigc++ version: 2.0.18
  Ept support enabled.
  Gtk+ support disabled.

Current library versions:
  NCurses version: ncurses 5.7.20090803
  cwidget version: 0.5.14
  Apt version: 4.8.1
	linux-vdso.so.1 =>  (0x00007fff9d1ff000)
	libapt-pkg-libc6.9-6.so.4.8 => /usr/lib/libapt-pkg-libc6.9-6.so.4.8 (0x00007f7347ecd000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0x00007f7347c7c000)
	liblog4cxx.so.10 => /usr/lib/liblog4cxx.so.10 (0x00007f7347888000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0x00007f7347683000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0x00007f73473b2000)
	libept.so.0 => /usr/lib/libept.so.0 (0x00007f7347138000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0x00007f7346de2000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007f7346bcb000)
	libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00007f734693d000)
	libboost_iostreams.so.1.40.0 => /usr/lib/libboost_iostreams.so.1.40.0 (0x00007f7346732000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00007f7346516000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f7346205000)
	libm.so.6 => /lib/libm.so.6 (0x00007f7345f83000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f7345d6d000)
	libc.so.6 => /lib/libc.so.6 (0x00007f7345a19000)
	libutil.so.1 => /lib/libutil.so.1 (0x00007f7345816000)
	libdl.so.2 => /lib/libdl.so.2 (0x00007f7345612000)
	libaprutil-1.so.0 => /usr/lib/libaprutil-1.so.0 (0x00007f73453ee000)
	libapr-1.so.0 => /usr/lib/libapr-1.so.0 (0x00007f73451b9000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x00007f7344fb5000)
	librt.so.1 => /lib/librt.so.1 (0x00007f7344dac000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00007f7344b75000)
	libbz2.so.1.0 => /lib/libbz2.so.1.0 (0x00007f7344964000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f73481ba000)
	libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f734473c000)
Terminal: gnome-256color
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.24            Advanced front-end for dpkg
ii  libboost-iostreams1.40 1.40.0-4          Boost.Iostreams Library
ii  libc6                  2.10.1-7          GNU C Library: Shared libraries
ii  libcwidget3            0.5.14-1          high-level terminal interface libr
ii  libept0                0.5.29            High-level library for managing De
ii  libgcc1                1:4.4.2-2         GCC support library
ii  liblog4cxx10           0.10.0-1          A logging library for C++
ii  libncursesw5           5.7+20090803-2    shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libsqlite3-0           3.6.20-1          SQLite 3 shared library
ii  libstdc++6             4.4.2-2           The GNU Standard C++ Library v3
ii  libxapian15            1.0.16-3          Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages aptitude recommends:
ii  apt-xapian-index              0.22       maintenance tools for a Xapian ind
ii  aptitude-doc-en [aptitude-doc 0.6.0.1-1  English manual for aptitude, a ter
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output
ii  sensible-utils                0.0.1      Utilities for sensible alternative

Versions of packages aptitude suggests:
pn  debtags                       <none>     (no description available)
pn  tasksel                       <none>     (no description available)

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#557183; Package aptitude. (Fri, 20 Nov 2009 05:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 20 Nov 2009 05:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 557183@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 557183@bugs.debian.org
Subject: More information
Date: Fri, 20 Nov 2009 05:51:43 +0000
[Message part 1 (text/plain, inline)]
Okay, here's some more information that I think might be useful.  I
marked packages for upgrade, and libsnmp-base and libsnmp15 are marked
for upgrade.  libsnmp-base depends on gawk.  However, libsnmp-base
conflicts with libsmi2-common, and so the dependency resolver got
invoked.  I chose, using the dependency resolver, not to upgrade either
package.  However, gawk still gets marked as piA; that is,
to-be-installed and automatically so.

aptitude should not mark gawk for automatic installation if installation
of the packages that cause it to be automatically installed is canceled
using the dependency resolver.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#557183; Package aptitude. (Fri, 20 Nov 2009 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 20 Nov 2009 18:42:02 GMT) Full text and rfc822 format available.

Message #15 received at 557183@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Cc: 557183@bugs.debian.org
Subject: Re: Bug#557183: More information
Date: Fri, 20 Nov 2009 19:39:11 +0100
On 2009-11-20 06:51 +0100, brian m. carlson wrote:

> Okay, here's some more information that I think might be useful.  I
> marked packages for upgrade, and libsnmp-base and libsnmp15 are marked
> for upgrade.  libsnmp-base depends on gawk.  However, libsnmp-base
> conflicts with libsmi2-common, and so the dependency resolver got
> invoked.  I chose, using the dependency resolver, not to upgrade either
> package.  However, gawk still gets marked as piA; that is,
> to-be-installed and automatically so.

This sounds very much like #556042 to me, which is fixed in aptitude
0.6.1.3.  Alas, that version FTBFS on 64-bit archs.

> aptitude should not mark gawk for automatic installation if installation
> of the packages that cause it to be automatically installed is canceled
> using the dependency resolver.

Do you have a package installed (dict, e.g.) that recommends gawk?

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#557183; Package aptitude. (Fri, 20 Nov 2009 19:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 20 Nov 2009 19:06:05 GMT) Full text and rfc822 format available.

Message #20 received at 557183@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 557183@bugs.debian.org
Subject: Re: Bug#557183: More information
Date: Fri, 20 Nov 2009 19:04:10 +0000
[Message part 1 (text/plain, inline)]
On Fri, Nov 20, 2009 at 07:39:11PM +0100, Sven Joachim wrote:
> This sounds very much like #556042 to me, which is fixed in aptitude
> 0.6.1.3.  Alas, that version FTBFS on 64-bit archs.

When it builds, I'm happy to test it.

> Do you have a package installed (dict, e.g.) that recommends gawk?

No.  There is no package with any explicit dependency on gawk, mawk, or
original-awk.  The only dependency of any sort on my system for any awk
is base-files' pre-depend on the virtual package "awk".

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#557183; Package aptitude. (Fri, 20 Nov 2009 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. (Fri, 20 Nov 2009 19:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 557183@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 557183@bugs.debian.org
Subject: Re: Bug#557183: More information
Date: Fri, 20 Nov 2009 11:00:37 -0800
On Fri, Nov 20, 2009 at 07:39:11PM +0100, Sven Joachim <svenjoac@gmx.de> was heard to say:
> On 2009-11-20 06:51 +0100, brian m. carlson wrote:
> > Okay, here's some more information that I think might be useful.  I
> > marked packages for upgrade, and libsnmp-base and libsnmp15 are marked
> > for upgrade.  libsnmp-base depends on gawk.  However, libsnmp-base
> > conflicts with libsmi2-common, and so the dependency resolver got
> > invoked.  I chose, using the dependency resolver, not to upgrade either
> > package.  However, gawk still gets marked as piA; that is,
> > to-be-installed and automatically so.
> 
> This sounds very much like #556042 to me, which is fixed in aptitude
> 0.6.1.3.  Alas, that version FTBFS on 64-bit archs.

  It could also be that the first-pass resolver is selecting that
package, and it doesn't get dropped later because it isn't unused.  If
so, "-o Aptitude::Auto-Install=false" would probably work around this,
at the cost of a lot more explicit dependency resolution.

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#557183; Package aptitude. (Fri, 20 Nov 2009 22:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 20 Nov 2009 22:57:11 GMT) Full text and rfc822 format available.

Message #30 received at 557183@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Daniel Burrows <dburrows@debian.org>
Cc: 557183@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Subject: Re: Bug#557183: More information
Date: Fri, 20 Nov 2009 23:53:36 +0100
On 2009-11-20 20:00 +0100, Daniel Burrows wrote:

> It could also be that the first-pass resolver is selecting that
> package, and it doesn't get dropped later because it isn't unused.

Yes, that seems to be the reason.

> If so, "-o Aptitude::Auto-Install=false" would probably work around
> this, at the cost of a lot more explicit dependency resolution.

Indeed, that option does help in the submitter's situation (tested in a
sid chroot with aptitude 0.6.1.3-3).

Cheers,
       Sven




Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:24:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.